(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: CRMINUS.PAS                                                    *)
(*  Obsah: program pro mazani znaku CR z dosovskych textovych souboru      *)
(*  Autor: Mircosoft                                                       *)
(*  Posledni uprava: 21.3.2007                                             *)
(*  Pro kompilaci: nic                                                     *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
program CRLFtoLF;
var vstup,vystup:file of char;
    s:string[79];
    z:char;
BEGIN
if paramcount=0 then begin
                     writeln('Zadejte jmeno souboru k prevodu nebo stisknete Enter bez zadavani cehokoli');
                     writeln('pro vyvolani napovedy.');
                     readln(s);
                     if s='' then begin
                                  writeln('V operacnich systemech na bazi DOSu (MS-DOS, Windows apod.) se konec radku v');
                                  writeln('textovych souborech vyjadruje dvema znaky: CR (#13) a LF (#10).');
                                  writeln('V unixovych systemech (Unix, Linux atd.) se pouziva pouze LF.');
                                  writeln('Z toho vyplyva, ze soubory vytvorene na jednom operacnim systemu nebudou');
                                  writeln('kompatibilni s druhym systemem a naopak.');
                                  writeln;
                                  writeln('Tento program slouzi k prevodu dosoveho formatu CRLF na unixovy LF.');
                                  writeln('Jmeno souboru k prevodu muzete programu zadat bud jako parametr');
                                  writeln('(a pak si treba ve Windows nadefinovat pouziti prevadece na soubor jako');
                                  writeln('jednu z moznych akci v mistni nabidce) nebo ho natukat rucne.');
                                  writeln;
                                  writeln('Stisknete Enter pro ukonceni programu.');
                                  readln;
                                  halt;
                                  end;
                     end
                else s:=paramstr(1);

assign(vystup,'TEMP.$$$');
rewrite(vystup);
if ioresult<>0 then begin
                    writeln('Nepodarilo se vytvorit vystupni docasny soubor!');
                    halt;
                    end;

assign(vstup,s);
reset(vstup);
if ioresult<>0 then begin
                    writeln('Soubor neexistuje nebo se ho nepodarilo otevrit!');
                    close(vystup);
                    halt;
                    end;

while not eof(vstup) do begin
                        read(vstup,z);
                        if z<>#13 then write(vystup,z);
                        if ioresult<>0 then begin
                                            writeln('I/O chyba behem prevodu!');
                                            break;
                                            end;
                        end;

close(vstup); close(vystup);
if ioresult=0 then ;
erase(vstup);
rename(vystup,s);
if ioresult=0 then writeln('Prevod uspesne dokoncen.')
              else begin
                   writeln('Nepovedlo se prejmenovat docasny soubor na puvodni jmeno!');
                   writeln('Prevedeny soubor najdete pod jmenem TEMP.$$$.');
                   end;
END.